- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Graph Class Reference

the main class to read the graphic part of RagTime 56 file More...

`#include <RagTime5Graph.hxx>`

## Public Member Functions
| RagTime5Graph (RagTime5Parser &parser)
| constructor More...
virtual | ~RagTime5Graph ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | readPicture (RagTime5Zone &zone)
| try to read a picture zone More...
bool | readPictureList (RagTime5Zone &zone)
| try to read a picture list More...
bool | readPictureMatch (RagTime5Zone &zone, bool color)
| try to read a picture match zone More...
bool | readGraphicTypes (RagTime5ClusterManager::Link const &link)
| try to read a main graphic types More...
bool | readGraphicStyles (RagTime5ClusterManager::Cluster &cluster)
| try to read a main graphic styles More...
bool | readGraphicColors (RagTime5ClusterManager::Cluster &cluster)
| try to read a graphic color zone More...
bool | readColorPatternZone (RagTime5ClusterManager::Cluster &cluster)
| try to read a zone of color and pattern More...
bool | readGraphicCluster (RagTime5Zone &zone, int zoneType)
| try to read a graphic zone More...
bool | readGraphicUnknown (int typeId)
| try to read a graphic unknown zone in data More...
bool | readGraphic (RagTime5Zone &dataZone, long endPos, int n, librevenge::RVNGString const &dataName)
| try to read a graphic More...
bool | readGraphicTransformations (RagTime5ClusterManager::Link const &link)
| try to read a graphic transformations zone More...
bool | readPictureCluster (RagTime5Zone &zone, int zoneType)
| try to read a picture zone More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< RagTime5GraphInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Graph (RagTime5Graph const &orig)
RagTime5Graph & | operator= (RagTime5Graph const &orig)

## Friends
struct | RagTime5GraphInternal::FieldParser
class | RagTime5GraphInternal::SubDocument
class | RagTime5Parser

## Detailed Description

the main class to read the graphic part of RagTime 56 file

## Constructor & Destructor Documentation

RagTime5Graph::RagTime5Graph | ( | RagTime5Parser & | parser | ) |

constructor

RagTime5Graph::~RagTime5Graph | ( |  | ) |
| virtual

destructor

RagTime5Graph::RagTime5Graph | ( | RagTime5Graph const & | orig | ) |
| private

## Member Function Documentation

void RagTime5Graph::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

int RagTime5Graph::numPages | ( |  | ) | const

returns the number of pages

RagTime5Graph& RagTime5Graph::operator= | ( | RagTime5Graph const & | orig | ) |
| private

bool RagTime5Graph::readColorPatternZone | ( | RagTime5ClusterManager::Cluster & | cluster | ) |
| protected

try to read a zone of color and pattern

bool RagTime5Graph::readGraphic | ( | RagTime5Zone & | dataZone,
|  | long | endPos,
|  | int | n,
|  | librevenge::RVNGString const & | dataName
| ) |  |
| protected

try to read a graphic

Referenced by readGraphicCluster().

bool RagTime5Graph::readGraphicCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a graphic zone

bool RagTime5Graph::readGraphicColors | ( | RagTime5ClusterManager::Cluster & | cluster | ) |
| protected

try to read a graphic color zone

bool RagTime5Graph::readGraphicStyles | ( | RagTime5ClusterManager::Cluster & | cluster | ) |
| protected

try to read a main graphic styles

bool RagTime5Graph::readGraphicTransformations | ( | RagTime5ClusterManager::Link const & | link | ) |
| protected

try to read a graphic transformations zone

Referenced by readGraphicCluster().

bool RagTime5Graph::readGraphicTypes | ( | RagTime5ClusterManager::Link const & | link | ) |
| protected

try to read a main graphic types

bool RagTime5Graph::readGraphicUnknown | ( | int | typeId | ) |
| protected

try to read a graphic unknown zone in data

Referenced by readGraphicCluster().

bool RagTime5Graph::readPicture | ( | RagTime5Zone & | zone | ) |
| protected

try to read a picture zone

Referenced by readPictureList().

bool RagTime5Graph::readPictureCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a picture zone

bool RagTime5Graph::readPictureList | ( | RagTime5Zone & | zone | ) |
| protected

try to read a picture list

bool RagTime5Graph::readPictureMatch | ( | RagTime5Zone & | zone,
|  | bool | color
| ) |  |
| protected

try to read a picture match zone

int RagTime5Graph::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend struct RagTime5GraphInternal::FieldParser
| friend

friend class RagTime5GraphInternal::SubDocument
| friend

friend class RagTime5Parser
| friend

## Member Data Documentation

RagTime5Parser& RagTime5Graph::m_mainParser
| protected

the parser

Referenced by readColorPatternZone(), readGraphicCluster(), readGraphicColors(), readGraphicStyles(), readGraphicTransformations(), readGraphicTypes(), readGraphicUnknown(), readPicture(), readPictureCluster(), readPictureList(), and readPictureMatch().

MWAWParserStatePtr RagTime5Graph::m_parserState
| protected

the parser state

Referenced by version().

shared_ptr<RagTime5GraphInternal::State> RagTime5Graph::m_state
| protected

the state

Referenced by readGraphic(), readGraphicTypes(), readPicture(), and readPictureList().

shared_ptr<RagTime5StructManager> RagTime5Graph::m_structManager
| protected

the structure manager

The documentation for this class was generated from the following files:

- RagTime5Graph.hxx
- RagTime5Graph.cxx